Package org.eclipse.e4.ui.services

## Interface EContextService

    public interface EContextService

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activateContext​(String id)` Adds the given `Context` id to the list of active contexts
`void` `deactivateContext​(String id)` Removes the given `Context` id from the list of active `Context`s
`void` `deferUpdates​(boolean defer)`
`Collection<String>` `getActiveContextIds()` Returns the complete listing of `Context` ids that are active or `null` if there are no active `Context`s
`Context` `getContext​(String id)` Look up a `Context` with a given id.

### Method Detail

#### getContext

    Context getContext​(String id)

Look up a `Context` with a given id. If no `Context` has the given id then `null` is returned

Parameters:
  `id` - the id of the `Context`, cannot be `null`
Returns:
  the `Context` with the given id or `null`

#### activateContext

    void activateContext​(String id)

Adds the given `Context` id to the list of active contexts

Parameters:
  `id` - the id of the `Context`, cannot be `null`

#### deactivateContext

    void deactivateContext​(String id)

Removes the given `Context` id from the list of active `Context`s

Parameters:
  `id` - the id of the `Context`, cannot be `null`

#### getActiveContextIds

    Collection<String> getActiveContextIds()

Returns the complete listing of `Context` ids that are active or `null` if there are no active `Context`s

Returns:
  the active `Context` ids or `null`
See Also:
  `IServiceConstants.ACTIVE_CONTEXTS`

#### deferUpdates

    void deferUpdates​(boolean defer)

Restriction:
  This method is not intended to be referenced by clients.